I cannot get this to work and have never had this issue before

I have tried to manually put the file in the folder and run with sudo no success

'chromedriver_mac64' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home Traceback (most recent call last): File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/selenium/webdriver/common/service.py", line 76, in start stdin=PIPE) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/subprocess.py", line 775, in init restore_signals, start_new_session) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/subprocess.py", line 1522, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) PermissionError: [Errno 13] Permission denied: '/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/instapy_chromedriver-2.46-py3.7.egg/instapy_chromedriver/chromedriver_mac64'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/Users/Inna/Desktop/InstaPy-master/instapy/browser.py", line 146, in set_selenium_local_session chrome_options=chrome_options) File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/selenium/webdriver/chrome/webdriver.py", line 73, in init self.service.start() File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/selenium/webdriver/common/service.py", line 88, in start os.path.basename(self.path), self.start_error_message) selenium.common.exceptions.WebDriverException: Message: 'chromedriver_mac64' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home

Traceback (most recent call last): File "quickstart.py", line 13, in session = InstaPy() File "/Users/Inna/Desktop/InstaPy-master/instapy/instapy.py", line 295, in init self.set_selenium_local_session() File "/Users/Inna/Desktop/InstaPy-master/instapy/instapy.py", line 349, in set_selenium_local_session raise InstaPyError(err_msg) instapy.exceptions.InstaPyError: ensure chromedriver is installed at /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/instapy_chromedriver-2.46-py3.7.egg/instapy_chromedriver/chromedriver_mac64 Innas-MacBook-Pro:instapy-master Inna$ chromedriver --version ChromeDriver 74.0.3729.6 (255758eccf3d244491b8a1317aa76e1ce10d57e9-refs/branch-heads/[email protected]{#29})

It should open chrome and begin the script at this point however I keep getting errors

0 Answers